Subject: Re: [RFC] Rework of i2c-mpc.c - Freescale i2c driver

From: "Jon Smirl" <[email-masked]>
Date: Mon, 5 Nov 2007 15:41:46 -0500

On 11/5/07, Jon Smirl <[email-masked]> wrote:
> This is my first pass at reworking the Freescale i2c driver. It
> switches the driver from being a platform driver to an open firmware
> one. I've checked it out on my hardware and it is working.

Is there any way to have the i2c chip modules match on the device tree
and be automatically loaded? This is complicated by the fact that
these modules are used on other platforms.

If there is a way to do this for the i2c bus I can apply the same code
to the audio bus as well.

-- 
Jon Smirl
[email-masked]